/*
 * Copyright (c) 2010 Paul Jungwirth.
 * Licensed under the Apache License, Version 2.0:
 * http://www.apache.org/licenses/LICENSE-2.0.html
 */

package com.illuminated.encc;

import java.io.*;
import java.util.*;

public class AddExtensionNaming implements OutputNamingStrategy {

	public Map<File, File> getOutputFiles(File[] files, Object... params) throws OutputNamingException {
		Map<File,File> ret = new HashMap<File,File>();

		if (params == null || params.length == 0 || params[0] == null) {
			throw new OutputNamingException("no-extension");
		} else {
			String ext = (String)params[0];
			File outDir = (File)params[1];
			ext = ext.trim();
			if ("".equals(ext)) {
				throw new OutputNamingException("no-extension");
			} else {
				for (File f : files) {
					ret.put(f, new File(outDir, f.getName() + ext));
				}
				return ret;
			}
		}
	}

}
