/*
 * Copyright (c) 2010 Paul Jungwirth.
 * Licensed under the Apache License, Version 2.0:
 * http://www.apache.org/licenses/LICENSE-2.0.html
 */

package com.illuminated.encc;

import java.util.*;

public class EncMapper {

	private static Map<String,String> _m = new HashMap();
	static {
		_m.put("windows", "windows-1250");
		_m.put("win", "windows-1250");
		_m.put("mac", "x-MacRoman");
		_m.put("apple", "x-MacRoman");
		_m.put("utf8", "UTF-8");
		_m.put("iso88591", "ISO-8859-1");
		_m.put("unicode", "UTF-16");
		_m.put("utf-16-byteordermark", "UTF-16");
		_m.put("utf-16-bigendian", "UTF-16BE");
		_m.put("utf-16-littleendian", "UTF-16LE");
	}

	public List<String> getDisplay() {
		return Arrays.asList("Windows", "UTF-8", "Mac", "Unicode", "ISO-8859-1");
	}

	public String get(String s) {
		String ret = _m.get(s.toLowerCase());
		return ret == null ? s : ret;
	}

	public Collection<String> getAliased() {
		return _m.values();
	}

}
