/*
 * Copyright (c) 2010 Paul Jungwirth.
 * Licensed under the Apache License, Version 2.0:
 * http://www.apache.org/licenses/LICENSE-2.0.html
 */

package com.illuminated.encc;

import javax.swing.*;
import javax.swing.event.*;
import com.illuminated.common.swing.*;
import com.illuminated.common.*;
import java.nio.charset.*;
import java.util.*;
import java.util.regex.*;
import java.text.*;
import java.io.*;
import java.awt.*;
import java.awt.event.*;

public class FileMappingDialog extends JDialog {

	private Map<File,File> _files;
	private ResourceBundle _bundle = BundleUtil.getBundle(FileMappingDialog.class);
	private boolean _runIt = false;

	public FileMappingDialog(Frame owner) {
		super(owner);
	}

	public void setFiles(Map<File,File> m) { _files = m; }
	public boolean shouldRun() { return _runIt; }

	public void build() {
		setTitle(_bundle.getString("title"));
		setModal(true);

		AppDefaults defaults = new AppDefaults(FileMappingDialog.class);
		Box box = Box.createVerticalBox();
		getContentPane().add(box);

		Object[] columnHeads = new Object[] { _bundle.getString("in-column"), _bundle.getString("out-column") };
		JTable table = new JTable(CollectionsUtil.tuples(_files), columnHeads);
		JScrollPane scroll = new JScrollPane(table);
		box.add(scroll);

		JButton ok, cancel;
		ok = new JButton(new Command(this, "ok", defaults));
		cancel = new JButton(new Command(this, "cancel", defaults));

		box.add(SwingUtil.okButtonPanel(cancel, ok));
	}

	public void ok(ActionEvent ev) {
		done(true);
	}

	public void cancel(ActionEvent ev) {
		done(false);
	}

	public void done(boolean runIt) {
		_runIt = runIt;
		dispose();
	}

}
