/*
 * Copyright (c) 2010 Paul Jungwirth.
 * Licensed under the Apache License, Version 2.0:
 * http://www.apache.org/licenses/LICENSE-2.0.html
 */

package com.illuminated.encc;

import java.io.*;
import javax.swing.*;

public class FilesList extends JTextArea {

	private File[] _files = new File[0];

	public FilesList() {
		setEditable(false);
	}

	public void setFiles(File[] files) {
		_files = files;

		StringBuilder buf = new StringBuilder();
		for (int i = 0; i < files.length; i++) {
			buf.append(files[i].getName());
			buf.append("\n");
		}
		setText(buf.toString());
	}

	public void clearFiles() {
		setFiles(new File[0]);
	}

	public File[] getFiles() {
		return _files;
	}

	public int countFiles() {
		return _files.length;
	}

}
