package com.illuminated.encc;

import junit.framework.*;
import java.io.*;
import java.util.*;

public class InPlaceNamingTest extends TestCase {


	public void testInPlaceNaming() throws Exception {
		InPlaceNaming naming = new InPlaceNaming();
		File f = new File("/tmp/f");
		Map<File,File> m;

		m = naming.getOutputFiles(new File[] { f });
		assertEquals(1, m.size());
		assertEquals(f, m.keySet().iterator().next());
		assertEquals(f.getParentFile(), m.values().iterator().next().getParentFile());

	}

	public void testDifferentDirectory() throws Exception {
		InPlaceNaming naming = new InPlaceNaming();
		File f = new File("a/f");
		Map<File,File> m;

		m = naming.getOutputFiles(new File[] { f }, new File("b"));
		assertEquals(1, m.size());
		assertEquals(new File("b/f"), m.values().iterator().next());
	}

	public void testInPlaceNamingBadFile() throws Exception {
		InPlaceNaming naming = new InPlaceNaming();
		File f = new File("/not/a/directory/for/real/f");
		Map<File,File> m;

		try {
			m = naming.getOutputFiles(new File[] { f });
		} catch (OutputNamingException e) {
			assertEquals("cant-create-file", e.getErrorKey());
			assertEquals(f, e.getErrorParams()[0]);
		}
	}

}
